Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033225
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] A. Platformmajoralways2016-06-11 21:362016-06-20 12:46
ReporterguillermogilView Statuspublic 
Assigned Tocaristu 
PriorityimmediateResolutionfixedFixed in Version3.0PR16Q2.1
StatusclosedFix in branchFixed in SCM revision0d7147bf0f26
ProjectionnoneETAnoneTarget Version3.0PR16Q2.1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date2015-10-27
Regression introduced in release3.0PR16Q1
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/cbf2d65774b8afda5265c76b78642271a0a7246a [^]
Triggers an Emergency PackNo
Summary

0033225: ConcatPDFReport has a null pointer exception if is used without reportConfiguration parameter

DescriptionConcatPDFReport has a null pointer exception if is used without reportConfiguration parameter
Method concatPDFReport(List<JasperPrint> jasperPrintList, boolean createBookmarks,
      OutputStream outputStream)
is creating a null pointer exception
Steps To ReproduceCreate a call on concatPDFReport(List<JasperPrint> jasperPrintList, boolean createBookmarks,
      OutputStream outputStream)
Without any SimplePdfExporterConfiguration
Proposed SolutionOn ReportingUtils.java:
   public static void concatPDFReport(List<JasperPrint> jasperPrintList, boolean createBookmarks,
      OutputStream outputStream, SimplePdfExporterConfiguration reportConfiguration)
      throws JRException {

    JRPdfExporter exporter = new JRPdfExporter();
    SimpleOutputStreamExporterOutput exporterOutput = new SimpleOutputStreamExporterOutput(
        outputStream);
    SimplePdfExporterConfiguration configuration = reportConfiguration != null ? reportConfiguration
        : new SimplePdfExporterConfiguration();

    reportConfiguration.setCreatingBatchModeBookmarks(createBookmarks);
    exporter.setConfiguration(configuration);
    exporter.setExporterInput(SimpleExporterInput.getInstance(jasperPrintList));
    exporter.setExporterOutput(exporterOutput);

    exporter.exportReport();
  }

Line:
    reportConfiguration.setCreatingBatchModeBookmarks(createBookmarks);
Should be:
    configuration.setCreatingBatchModeBookmarks(createBookmarks);
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0033222 closedcaristu ConcatPDFReport has a null pointer exception if is used without reportConfiguration parameter 

-  Notes
(0087377)
hgbot (developer)
2016-06-17 08:40

Repository: erp/backports/3.0PR16Q2.1
Changeset: 0d7147bf0f26fcf6bc98e10fd92b0461fee9f887
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Fri Jun 17 08:39:55 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q2.1/rev/0d7147bf0f26fcf6bc98e10fd92b0461fee9f887 [^]

fixes issue 33225: ConcatPDFReport can throw a null pointer exception
Use the correct variable name (configuration instead of reportConfiguration) when using the setCreatingBatchModeBookmarks method

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/report/ReportingUtils.java
---
(0087664)
alostale (developer)
2016-06-20 12:46

code reviewed + tested

- Issue History
Date Modified Username Field Change
2016-06-13 09:49 alostale Type defect => backport
2016-06-13 09:49 alostale Target Version => 3.0PR16Q2.1
2016-06-17 08:40 hgbot Checkin
2016-06-17 08:40 hgbot Note Added: 0087377
2016-06-17 08:40 hgbot Status scheduled => resolved
2016-06-17 08:40 hgbot Resolution open => fixed
2016-06-17 08:40 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR16Q2.1/rev/0d7147bf0f26fcf6bc98e10fd92b0461fee9f887 [^]
2016-06-17 08:40 caristu Review Assigned To => alostale
2016-06-20 12:46 alostale Note Added: 0087664
2016-06-20 12:46 alostale Status resolved => closed
2016-06-20 12:46 alostale Fixed in Version => 3.0PR16Q2.1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker